﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Modularity;
using PRISMResourceTest.Infrastructure.Services;
using PRISMResourceTest.ApplicationCore.Services;
using Microsoft.Practices.Composite.Events;

namespace PRISMResourceTest.ApplicationCore
{
    public class ApplicationCoreModule : IModule
    {
        private IUnityContainer _container;

        /// <summary>
        /// Initializes a new instance of the ModuleInit class.
        /// </summary>
        public ApplicationCoreModule(IUnityContainer container)
        {
            _container = container;
        }

        public void Initialize()
        {
            // Register the service in the container
            _container.RegisterType<IResourceManagerService, ResourceManagerService>(new ContainerControlledLifetimeManager());
        }
    }
}
