﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using PRISMResourceTest.Infrastructure.Enumerations;
using PRISMResourceTest.MainModule.Views;
using PRISMResourceTest.MainModule.LocalResources;
using PRISMResourceTest.Infrastructure.Services;

namespace PRISMResourceTest.MainModule
{
    public class MainModuleModule : IModule
    {
        IRegionManager _regionManager;
        IUnityContainer _container;

        /// <summary>
        /// Initializes a new instance of the ModuleInit class.
        /// </summary>
        /// <param name="regionManager"></param>
        /// <param name="container"></param>
        public MainModuleModule(IRegionManager regionManager, IUnityContainer container)
        {
            _regionManager = regionManager;
            _container = container;
        }

        public void Initialize()
        {
            // Get the ResourceManagerService and register our ResourceManager
            var resourceManagerService = _container.Resolve<IResourceManagerService>();
            resourceManagerService.RegisterManager("MainScreenResources", MainScreenResources.ResourceManager);

            // Register our view with the main region
            _regionManager.RegisterViewWithRegion(Regions.MAIN_REGION, typeof(MainScreenView));
        }
    }
}
