﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using PRISMResourceTest.MainModule.ViewModels;
using PRISMResourceTest.Infrastructure.Services;
using PRISMResourceTest.Infrastructure.Base;

namespace PRISMResourceTest.MainModule.Views
{
    /// <summary>
    /// Interaction logic for MainScreenView.xaml
    /// </summary>
    public partial class MainScreenView : UserControl
    {
        private IResourceManagerService _resourceManager;
        public MainScreenView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Initializes a new instance of the MainScreenView class.
        /// </summary>
        public MainScreenView(MainScreenViewModel viewModel, IResourceManagerService resourceManager)
        {
            InitializeComponent();

            this.DataContext = viewModel;
            _resourceManager = resourceManager;
        }

        private void EnglishButton_Click(object sender, RoutedEventArgs e)
        {
            _resourceManager.ChangeLocale("en-GB");
        }

        private void HebrewButton_Click(object sender, RoutedEventArgs e)
        {
            _resourceManager.ChangeLocale("he-IL");
        }
    }
}
