﻿using System;
using System.Windows;
using PRISMResourceTest.Infrastructure.Services;
using Microsoft.Practices.Composite.Events;
using PRISMResourceTest.Infrastructure.Events;

namespace PRISMResourceTest.Shell.Views
{
    /// <summary>
    /// Interaction logic for ShellView.xaml
    /// </summary>
    public partial class ShellView : Window, IShellProvider
    {
        public ShellView(IEventAggregator eventAggregator)
        {
            InitializeComponent();

            // Subscribe to the LocaleChanged event and set the appropriate flow direction
            //
            // The setting on the base window will be inherited by all the controls inside it
            //
            // Flow direction is a UI thing, and there's no real logic here, so I'm not TOO 
            // concerned about putting this code in a ViewModel
            eventAggregator.GetEvent<LocaleChangedEvent>().Subscribe((e) => 
                { 
                    this.FlowDirection = e.RTL ? FlowDirection.RightToLeft : FlowDirection.LeftToRight; 
                });
        }

        #region IShellProvider Members

        public UIElement CreateShell()
        {
            this.Show();
            return this;
        }

        #endregion
    }
}
